
QGIS Application - Feature request #4455

Feature: update map extent when changing project CRS

2011-10-27 11:39 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:
Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 14385

Description

(I thought there was already a ticket for this, but I can't find it)

Currently, if on-the-fly CRS conversion is enabled, when the project CRS is changed the coordinates of the map extent stay the same, so

the map ends up showing a completely different real-world location.

The map extent should automatically change so that the real-world map extent stays the same.

1) This behaviour would be a lot more user friendly.

2) It would fix what I suspect is the most common cause of endlessly repeating "forward transform" errors (which force users to kill QGIS,

potentially losing work they have done).

History

#1 - 2011-10-27 11:40 PM - Alister Hood

- Category set to Projection Support

Sorry, I'm not sure whether the right category is Gui or Projection Support or what.

#2 - 2011-10-28 01:04 AM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate #3742
